Tag Parser: TagParser::Mpeg4AudioSpecificConfig Class Reference

Tag Parser 12.5.2 C++ library for reading and writing MP4 (iTunes), ID3, Vorbis, Opus, FLAC and Matroska tags

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
TagParser::Mpeg4AudioSpecificConfig Class Reference

The Mpeg4AudioSpecificConfig class holds MPEG-4 audio specific config parsed using Mp4Track::parseAudioSpecificConfig(). More...

`#include <mp4track.h>`

## Public Member Functions
| Mpeg4AudioSpecificConfig ()

## Public Attributes
std::uint8_t | audioObjectType
std::uint8_t | sampleFrequencyIndex
std::uint32_t | sampleFrequency
std::uint8_t | channelConfiguration
std::uint8_t | extensionAudioObjectType
bool | sbrPresent
bool | psPresent
std::uint8_t | extensionSampleFrequencyIndex
std::uint32_t | extensionSampleFrequency
std::uint8_t | extensionChannelConfiguration
bool | frameLengthFlag
bool | dependsOnCoreCoder
std::uint16_t | coreCoderDelay
std::uint8_t | extensionFlag
std::uint8_t | layerNr
std::uint8_t | numOfSubFrame
std::uint16_t | layerLength
std::uint8_t | resilienceFlags
std::uint8_t | epConfig

## Detailed Description

The Mpeg4AudioSpecificConfig class holds MPEG-4 audio specific config parsed using Mp4Track::parseAudioSpecificConfig().

Remarks
  Is part of Mpeg4ElementaryStreamInfo (audio streams only).

Definition at line 19 of file mp4track.h.

## Constructor & Destructor Documentation

## ◆ Mpeg4AudioSpecificConfig()

TagParser::Mpeg4AudioSpecificConfig::Mpeg4AudioSpecificConfig | ( |  | ) |

Definition at line 96 of file mp4track.cpp.

## Member Data Documentation

## ◆ audioObjectType

std::uint8_t TagParser::Mpeg4AudioSpecificConfig::audioObjectType

Definition at line 23 of file mp4track.h.

## ◆ channelConfiguration

std::uint8_t TagParser::Mpeg4AudioSpecificConfig::channelConfiguration

Definition at line 26 of file mp4track.h.

## ◆ coreCoderDelay

std::uint16_t TagParser::Mpeg4AudioSpecificConfig::coreCoderDelay

Definition at line 35 of file mp4track.h.

## ◆ dependsOnCoreCoder

bool TagParser::Mpeg4AudioSpecificConfig::dependsOnCoreCoder

Definition at line 34 of file mp4track.h.

## ◆ epConfig

std::uint8_t TagParser::Mpeg4AudioSpecificConfig::epConfig

Definition at line 41 of file mp4track.h.

## ◆ extensionAudioObjectType

std::uint8_t TagParser::Mpeg4AudioSpecificConfig::extensionAudioObjectType

Definition at line 27 of file mp4track.h.

## ◆ extensionChannelConfiguration

std::uint8_t TagParser::Mpeg4AudioSpecificConfig::extensionChannelConfiguration

Definition at line 32 of file mp4track.h.

## ◆ extensionFlag

std::uint8_t TagParser::Mpeg4AudioSpecificConfig::extensionFlag

Definition at line 36 of file mp4track.h.

## ◆ extensionSampleFrequency

std::uint32_t TagParser::Mpeg4AudioSpecificConfig::extensionSampleFrequency

Definition at line 31 of file mp4track.h.

## ◆ extensionSampleFrequencyIndex

std::uint8_t TagParser::Mpeg4AudioSpecificConfig::extensionSampleFrequencyIndex

Definition at line 30 of file mp4track.h.

## ◆ frameLengthFlag

bool TagParser::Mpeg4AudioSpecificConfig::frameLengthFlag

Definition at line 33 of file mp4track.h.

## ◆ layerLength

std::uint16_t TagParser::Mpeg4AudioSpecificConfig::layerLength

Definition at line 39 of file mp4track.h.

## ◆ layerNr

std::uint8_t TagParser::Mpeg4AudioSpecificConfig::layerNr

Definition at line 37 of file mp4track.h.

## ◆ numOfSubFrame

std::uint8_t TagParser::Mpeg4AudioSpecificConfig::numOfSubFrame

Definition at line 38 of file mp4track.h.

## ◆ psPresent

bool TagParser::Mpeg4AudioSpecificConfig::psPresent

Definition at line 29 of file mp4track.h.

## ◆ resilienceFlags

std::uint8_t TagParser::Mpeg4AudioSpecificConfig::resilienceFlags

Definition at line 40 of file mp4track.h.

## ◆ sampleFrequency

std::uint32_t TagParser::Mpeg4AudioSpecificConfig::sampleFrequency

Definition at line 25 of file mp4track.h.

## ◆ sampleFrequencyIndex

std::uint8_t TagParser::Mpeg4AudioSpecificConfig::sampleFrequencyIndex

Definition at line 24 of file mp4track.h.

## ◆ sbrPresent

bool TagParser::Mpeg4AudioSpecificConfig::sbrPresent

Definition at line 28 of file mp4track.h.

The documentation for this class was generated from the following files:

- mp4/mp4track.h
- mp4/mp4track.cpp